Important CentOS openldap Security Update

Metadata

medium
5.0
compat-openldap-2.3.43_2.2.29-29.el5_11.i386.rpm, compat-openldap-2.3.43_2.2.29-29.el5_11.x86_64.rpm, openldap-2.3.43-29.el5_11.i386.rpm, openldap-2.3.43-29.el5_11.src.rpm, openldap-2.3.43-29.el5_11.x86_64.rpm, openldap-2.4.39-7.el7.centos.i686.rpm, openldap-2.4.39-7.el7.centos.src.rpm, openldap-2.4.39-7.el7.centos.x86_64.rpm, openldap-2.4.40-6.el6_7.i686.rpm, openldap-2.4.40-6.el6_7.src.rpm, openldap-2.4.40-6.el6_7.x86_64.rpm, openldap-clients-2.3.43-29.el5_11.i386.rpm, openldap-clients-2.3.43-29.el5_11.x86_64.rpm, openldap-clients-2.4.39-7.el7.centos.x86_64.rpm, openldap-clients-2.4.40-6.el6_7.i686.rpm, openldap-clients-2.4.40-6.el6_7.x86_64.rpm, openldap-devel-2.3.43-29.el5_11.i386.rpm, openldap-devel-2.3.43-29.el5_11.x86_64.rpm, openldap-devel-2.4.39-7.el7.centos.i686.rpm, openldap-devel-2.4.39-7.el7.centos.x86_64.rpm, openldap-devel-2.4.40-6.el6_7.i686.rpm, openldap-devel-2.4.40-6.el6_7.x86_64.rpm, openldap-servers-2.3.43-29.el5_11.i386.rpm, openldap-servers-2.3.43-29.el5_11.x86_64.rpm, openldap-servers-2.4.39-7.el7.centos.x86_64.rpm, openldap-servers-2.4.40-6.el6_7.i686.rpm, openldap-servers-2.4.40-6.el6_7.x86_64.rpm, openldap-servers-overlays-2.3.43-29.el5_11.i386.rpm, openldap-servers-overlays-2.3.43-29.el5_11.x86_64.rpm, openldap-servers-sql-2.3.43-29.el5_11.i386.rpm, openldap-servers-sql-2.3.43-29.el5_11.x86_64.rpm, openldap-servers-sql-2.4.39-7.el7.centos.x86_64.rpm, openldap-servers-sql-2.4.40-6.el6_7.i686.rpm, openldap-servers-sql-2.4.40-6.el6_7.x86_64.rpm
CVE-2015-6908
rhn.redhat.com, lists.centos.org, lists.centos.org, lists.centos.org
2015-09-29
2017-07-27 19:09
ALAS-2015-599
CVE-2015-6908 openldap
CVE-2015-6908
2017-04-01 19:09
2017-01-05 20:13

Description


Updated openldap packages that fix one security issue are now available for
Red Hat Enterprise Linux 5, 6, and 7.

Red Hat Product Security has rated this update as having Important security
impact. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available from the CVE link in the
References section.

OpenLDAP is an open source suite of Lightweight Directory Access Protocol
(LDAP) applications and development tools. LDAP is a set of protocols used
to access and maintain distributed directory information services over an
IP network. The openldap package contains configuration files, libraries,
and documentation for OpenLDAP.

A flaw was found in the way the OpenLDAP server daemon (slapd) parsed
certain Basic Encoding Rules (BER) data. A remote attacker could use this
flaw to crash slapd via a specially crafted packet. (CVE-2015-6908)

All openldap users are advised to upgrade to these updated packages, which
contain a backported patch to correct this issue.
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
5 compat-openldap compat-openldap-2.3.43_2.2.29-29.el5_11.i386.rpm
compat-openldap compat-openldap-2.3.43_2.2.29-29.el5_11.x86_64.rpm
openldap openldap-2.3.43-29.el5_11.i386.rpm
openldap openldap-2.3.43-29.el5_11.src.rpm
openldap openldap-2.3.43-29.el5_11.x86_64.rpm
openldap-clients openldap-clients-2.3.43-29.el5_11.i386.rpm
openldap-clients openldap-clients-2.3.43-29.el5_11.x86_64.rpm
openldap-devel openldap-devel-2.3.43-29.el5_11.i386.rpm
openldap-devel openldap-devel-2.3.43-29.el5_11.x86_64.rpm
openldap-servers openldap-servers-2.3.43-29.el5_11.i386.rpm
openldap-servers openldap-servers-2.3.43-29.el5_11.x86_64.rpm
openldap-servers-overlays openldap-servers-overlays-2.3.43-29.el5_11.i386.rpm
openldap-servers-overlays openldap-servers-overlays-2.3.43-29.el5_11.x86_64.rpm
openldap-servers-sql openldap-servers-sql-2.3.43-29.el5_11.i386.rpm
openldap-servers-sql openldap-servers-sql-2.3.43-29.el5_11.x86_64.rpm
6 openldap openldap-2.4.40-6.el6_7.src.rpm
openldap openldap-2.4.40-6.el6_7.x86_64.rpm
openldap openldap-2.4.40-6.el6_7.i686.rpm
openldap-clients openldap-clients-2.4.40-6.el6_7.x86_64.rpm
openldap-clients openldap-clients-2.4.40-6.el6_7.i686.rpm
openldap-devel openldap-devel-2.4.40-6.el6_7.x86_64.rpm
openldap-devel openldap-devel-2.4.40-6.el6_7.i686.rpm
openldap-servers openldap-servers-2.4.40-6.el6_7.x86_64.rpm
openldap-servers openldap-servers-2.4.40-6.el6_7.i686.rpm
openldap-servers-sql openldap-servers-sql-2.4.40-6.el6_7.x86_64.rpm
openldap-servers-sql openldap-servers-sql-2.4.40-6.el6_7.i686.rpm
7 openldap openldap-2.4.39-7.el7.centos.src.rpm
openldap openldap-2.4.39-7.el7.centos.i686.rpm
openldap openldap-2.4.39-7.el7.centos.x86_64.rpm
openldap-clients openldap-clients-2.4.39-7.el7.centos.x86_64.rpm
openldap-devel openldap-devel-2.4.39-7.el7.centos.x86_64.rpm
openldap-devel openldap-devel-2.4.39-7.el7.centos.i686.rpm
openldap-servers openldap-servers-2.4.39-7.el7.centos.x86_64.rpm
openldap-servers-sql openldap-servers-sql-2.4.39-7.el7.centos.x86_64.rpm